
<div id="body" class="container-fluid">
    <div class="row mx-n5">
        <div class="col-24">
            <div class="form-row">
                <div class="form-group form-group-sm col-24 col-lg-24 text-left">
                    <h6> {{ title }} </h6>
                </div>
                </div>
            <mat-expansion-panel [expanded]="true" class="mb-2">
                <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
                    <mat-panel-title><h6>Order Search</h6></mat-panel-title>
                </mat-expansion-panel-header>
                <div class="form-row">
                    <div class="form-group form-group-sm row col-24 col-lg-8 text-left">
                        <label class="col-form-label col-24 col-lg-8"> M5 #/CTN: </label>
                        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                            <form [formGroup]="pageForm">
                                <input type="text" 
                                formControlName="ftn"   
                                numbersOnly                 
                                maxlength="9"
                                class="form-control form-control-sm" />
                                <app-form-control-validation [control]="pageForm.controls.ftn" [customMessage]="'Please enter a valid M5 # to search for'" ></app-form-control-validation>
                            </form>
                        </div>
                    </div>
                    <div class="form-group form-group-sm row col-24 col-lg-8 text-left">
                        <div class="col-24 col-lg-4 pl-0">
                            <button type="button" class="btn btn-sm btn-primary btn-block" [disabled]="!pageForm.valid" (click)="search()"> Search </button>
                        </div>
                    </div>
                </div>
            </mat-expansion-panel>
            <mat-expansion-panel [expanded]="true" class="mb-2" *ngIf="searchedRecord.length > 0">
                <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
                    <mat-panel-title>
                        <h6>Search Result</h6></mat-panel-title>
                </mat-expansion-panel-header>
                <div class="form-row">
                    <div class="form-group form-group-sm row col-24 col-lg-16 text-left">
                      <dx-data-grid id="grid1"
                                    [dataSource]="searchedRecord"
                                    [showBorders]="true"
                                    [wordWrapEnabled]="true"
                                    [rowAlternationEnabled]="true"
                                    [columnAutoWidth]="true"
                                    (onRowClick)="getAdditionalCostRecord($event)">
                        <dxo-sorting mode="multiple"></dxo-sorting>
                        <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
                        <dxi-column dataField="ftn" caption="M5 #/CTN" cellTemplate="ftn"></dxi-column>
                        <div *dxTemplate="let cell of 'ftn'">
                          <span *ngIf="cell.value.isLocked"> {{ cell.text }} </span>
                          <span *ngIf="!cell.value.isLocked" class="key"> {{ cell.text }} </span>
                        </div>
                        <dxi-column dataField="ordrType" caption="Order Type"></dxi-column>
                        <dxi-column dataField="prodType" caption="Product Type"></dxi-column>
                      </dx-data-grid>
                    </div>
                </div>
            </mat-expansion-panel>
            <app-test></app-test>
            <!-- Additional Cost-->
            <div *ngIf="orderId !== 0">
                <app-additional-costs-form *ngIf="isACTVisible" [isACCP]="true" [orderId]="orderId" [viewType]="viewType" [isTerminatingVendor]="false" ></app-additional-costs-form>
                <app-additional-costs-form *ngIf="isACOVisible" [isACCP]="true" [orderId]="orderId" [viewType]="viewType" [isTerminatingVendor]="true" [parentPage]="parentPage" ></app-additional-costs-form>
            </div>
        </div>
    </div>
</div>
